ino
Prev | Orchestra Opcodes and Operators | Next

## ino

ino — Reads eight-channel audio data from an external device or stream.

## Description

Reads eight-channel audio data from an external device or stream.

| Warning
This opcode is designed to be used only with orchestras that have nchnls_i=8. Doing so with orchestras with nchnls_i > 8 will cause incorrect audio input.

## Syntax

    ar1, ar2, ar3, ar4, ar5, ar6, ar7, ar8 ino

## Performance

Reads eight-channel audio data from an external device or stream. If the command-line -i flag is set, sound is read continuously from the audio input stream (e.g. stdin or a soundfile) into an internal buffer. Any number of these opcodes can read freely from this buffer.

## See Also

diskin, in, inh, inh, inq, ins, soundin

## Credits

Author: John ffitch

Prev | Up | Next
inletv | Home | inq